# $Revision: 1.7.2.2 $, $Date: 2003/03/13 00:57:13 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	Find-Rule
Summary:	File::Find::Rule - alternative interface to File::Find
Summary(pl):	File::Find::Rule - alternatywny interfejs dla moduu File::Find
Name:		perl-File-Find-Rule
Version:	0.10
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Number-Compare
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Text-Glob
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Find::Rule Perl module is a friendlier interface to File::Find.
It allows you to build rules which specify the desired files and
directories.

%description -l pl
Modu Perla File::Find::Rule stanowi bardziej przyjazny interfejs do
moduu File::Find. Umoliwia on tworzenie regu okrelajcych wymagane
pliki i katalogi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/*
%{perl_sitelib}/File/Find
%{_mandir}/man[13]/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-File-Find-Rule.spec,v $
Revision 1.7.2.2  2003/03/13 00:57:13  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.7.2.1  2003/03/10 22:13:12  ankry
- autoupdated to 0.10

Revision 1.7  2003/02/25 00:38:35  radek
- use the __perl macro

Revision 1.6  2003/02/20 23:47:38  ankry
- updated to 0.09

Revision 1.5  2003/02/18 15:32:12  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/10/13 19:05:29  kloczek
- release 3.

Revision 1.3  2002/10/06 19:02:11  ankry
- uncomment BRs

Revision 1.2  2002/10/06 09:15:09  ankry
- tests enabled, rel. 2

Revision 1.1  2002/10/06 00:41:59  ankry
- new, STBR
